<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="EXPRESSION">
  <refnamediv>
    <refname>EXPRESSION</refname>
    <refpurpose>Expression mathématique</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/EXPRESSION_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contenu_EXPRESSION">
    <title>Contenu</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="EXPRESSION">Expression mathématique</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_EXPRESSION">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_EXPRESSION">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Boîtededialogue_EXPRESSION">Boîte de dialogue</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Propriétéspardéfaut_EXPRESSION">Propriétés par défaut</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondinterface_EXPRESSION">Fonction d'interface</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Fonctiondecalcul_EXPRESSION">Fonction de calcul</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Auteurs_EXPRESSION">Auteurs</xref>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_EXPRESSION">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Non_linear_pal">Non_linear - Palette Non-linéaire</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_EXPRESSION">
    <title>Description</title>
    <para>
Le bloc EXPRESSION applique à son entrée les fonctions Scilab spécifiées
en paramètre.

</para>
  </refsection>
  <refsection id="Boîtededialogue_EXPRESSION">
    <title>Boîte de dialogue</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/EXPRESSION_gui.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
    <para>

</para>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">number of inputs</emphasis>
        </para>
        <para> Un scalaire à valeur entière donnant le nombre de port d'entrée régulier. Ces entrées peuvent-être scalaires ou vectorielles.</para>
        <para> Type 'vec' de taille 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">scilab expression</emphasis>
        </para>
        <para> Chaine de caractères définissant la relation mathématique à appliquer aux entrées. C'est une expression scilab.</para>
        <para> Type 'str' de taille 1. </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">use zero-crossing (0: no, 1 yes)</emphasis>
        </para>
        <para> A sélectionner pour permettre la détection de passages à zéro.</para>
        <para> Type 'vec' de taille 1.</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Propriétéspardéfaut_EXPRESSION">
    <title>Propriétés par défaut</title>
    <itemizedlist>
      <listitem>
        <para><emphasis role="bold">toujours actif:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">direct-feedthrough:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">détection de passage à zéro:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">mode:</emphasis> oui</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">entrée régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 1</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 2 : taille [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">sorties régulières:</emphasis>
        </para>
        <para>
          <emphasis role="bold">- port 1 : taille [1,1] / type 1</emphasis>
        </para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des entrées évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">nombre des sorties évènementielles:</emphasis> 0</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état continu:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état discret:</emphasis> non</para>
      </listitem>
      <listitem>
        <para><emphasis role="bold">possède un état objet:</emphasis> non</para>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">nom de la fonction de calcul:</emphasis>
          <emphasis role="italic">evaluate_expr</emphasis>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondinterface_EXPRESSION">
    <title>Fonction d'interface</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Misc/EXPRESSION.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Fonctiondecalcul_EXPRESSION">
    <title>Fonction de calcul</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/src/c/evaluate_expr.c (Type 4)</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Auteurs_EXPRESSION">
    <title>Auteurs</title>
    <para><emphasis role="bold">Ramine Nikoukhah</emphasis> - INRIA</para>
  </refsection>
</refentry>
